<mat-sidenav-container>
  <mat-sidenav #sidenav mode="push" [(opened)]="opened">
    <div
      class="side-item-0"
      routerLink="/home"
     
    >
      <mat-icon class="side-text">home</mat-icon>หน้าแรก
    </div>
    <div class="side"></div>
    <div
      style="font-size: 14px; margin-left: 16px;color: rgb(105, 104, 104);width: 95%;
        height: 6%;
        padding-top: 4%;"
    >
      รายวิชาของฉัน
    </div>
    <div
      class="side-item-1"
      *ngFor="let subject of subjects_new"
      (click)="onGoTo(subject)"
      [class.selected]="sub === selectSubject"
    >
      <div *ngIf="classRoom.name!=subject.subject_name">
        <mat-icon class="side-text">list_alt</mat-icon> {{ subject.subject_name }}
      <div style="margin-left: 95px;">กลุ่ม {{ subject.group }}</div>
      </div>
      
      <div  *ngIf="classRoom.name==subject.subject_name" style="background-color: rgba(196, 193, 193, 0.568); border-radius: 0px 50px 50px 0px;">
        <mat-icon class="side-text">list_alt</mat-icon> {{ subject.subject_name }}
      <div style="margin-left: 95px;">กลุ่ม {{ subject.group }}</div>
      </div>
    </div>
    <div class="side"></div>
    <div class="side-item-0" routerLink="/homeStore">
      <mat-icon class="side-text">move_to_inbox</mat-icon>ชั้นเรียนที่เก็บ
    </div>
    <div class="side"></div>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary" style="font-family: 'Kanit', sans-serif;">
      <mat-toolbar-row style="height: 75px;">
        <button mat-icon-button style="margin-right: 20px;">
          <mat-icon (click)="opened = !opened">menu</mat-icon>
        </button>

        <div style="display:block;margin-right: 18px;width:350px;">
          <div
            style="cursor:pointer;font-family: 'Kanit', sans-serif;;font-size: 18px;"
            routerLink="/listCheck"
          >
            {{ classRoom.name }} {{ classRoom.detail }}
          </div>
          <div
            style="cursor:pointer;font-family: 'Kanit', sans-serif;;font-size: 18px;"
            routerLink="/listCheck"
          >
            กลุ่ม {{ classRoom.group }}
          </div>
        </div>
        <div class="tab-center">
          <nav
            mat-tab-nav-bar
            mat-align-tabs="center"
            backgroundColor="primary"
          >
            <a
              mat-tab-link
              *ngFor="let link of links; index as i"
              class="tab-check"
              [routerLink]="['/' + link]"
              routerLinkActive
              #rla="routerLinkActive"
              [active]="rla.isActive"
              
            >
              {{ menus[i] }} 
            </a>
            
          </nav>
        </div>
        <span class="example-spacer"></span>
        <img class="example-icon" [src]="imageUrl" />
        <button
          mat-icon-button
          [matMenuTriggerFor]="menu"
          aria-label="Example icon-button with a menu"
        >
          <mat-icon>arrow_drop_down</mat-icon>
        </button>
        <mat-menu #menu="matMenu">
          <button mat-menu-item (click)="onProfile()">
            <mat-icon>account_circle</mat-icon>
            <span>บัญชีผู้ใช้</span>
          </button>
          <button mat-menu-item (click)="onLogout()">
            <mat-icon>exit_to_app</mat-icon>
            <span>ออกจากระบบ</span>
          </button>
        </mat-menu>
      </mat-toolbar-row>
    </mat-toolbar>

    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
